summaryrefslogtreecommitdiff
path: root/maintenance/dev/includes
diff options
context:
space:
mode:
authorPierre Schmitz <pierre@archlinux.de>2013-01-18 16:46:04 +0100
committerPierre Schmitz <pierre@archlinux.de>2013-01-18 16:46:04 +0100
commit63601400e476c6cf43d985f3e7b9864681695ed4 (patch)
treef7846203a952e38aaf66989d0a4702779f549962 /maintenance/dev/includes
parent8ff01378c9e0207f9169b81966a51def645b6a51 (diff)
Update to MediaWiki 1.20.2
this update includes: * adjusted Arch Linux skin * updated FluxBBAuthPlugin * patch for https://bugzilla.wikimedia.org/show_bug.cgi?id=44024
Diffstat (limited to 'maintenance/dev/includes')
-rw-r--r--maintenance/dev/includes/php.sh22
-rw-r--r--maintenance/dev/includes/router.php26
2 files changed, 34 insertions, 14 deletions
diff --git a/maintenance/dev/includes/php.sh b/maintenance/dev/includes/php.sh
index 3021b93b..7ce87944 100644
--- a/maintenance/dev/includes/php.sh
+++ b/maintenance/dev/includes/php.sh
@@ -1,12 +1,14 @@
# Include-able script to determine the location of our php if any
+# We search for a environment var called PHP, native php,
+# a local copy, home directory location used by installphp.sh
+# and previous home directory location
+# The binary path is returned in $PHP if any
-if [ -d "$DEV/php" -a -x "$DEV/php/bin/php" ]; then
- # Quick local copy
- PHP="$DEV/php/bin/php"
-elif [ -d "$HOME/.mediawiki/php" -a -x "$HOME/.mediawiki/php/bin/php" ]; then
- # Previous home directory location to install php in
- PHP="$HOME/.mediawiki/php/bin/php"
-elif [ -d "$HOME/.mwphp" -a -x "$HOME/.mwphp/bin/php" ]; then
- # Previous home directory location to install php in
- PHP="$HOME/.mwphp/bin/php"
-fi
+for binary in $PHP `which php || true` "$DEV/php/bin/php" "$HOME/.mediawiki/php/bin/php" "$HOME/.mwphp/bin/php" ]; do
+ if [ -x "$binary" ]; then
+ if "$binary" -r 'exit((int)!version_compare(PHP_VERSION, "5.4", ">="));'; then
+ PHP="$binary"
+ break
+ fi
+ fi
+done
diff --git a/maintenance/dev/includes/router.php b/maintenance/dev/includes/router.php
index f6a062b6..ac96f459 100644
--- a/maintenance/dev/includes/router.php
+++ b/maintenance/dev/includes/router.php
@@ -1,7 +1,25 @@
<?php
-
-# Router for the php cli-server built-in webserver
-# http://ca2.php.net/manual/en/features.commandline.webserver.php
+/**
+ * Router for the php cli-server built-in webserver.
+ * http://www.php.net/manual/en/features.commandline.webserver.php
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License along
+ * with this program; if not, write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ * http://www.gnu.org/copyleft/gpl.html
+ *
+ * @file
+ */
if ( php_sapi_name() != 'cli-server' ) {
die( "This script can only be run by php's cli-server sapi." );
@@ -66,7 +84,7 @@ if ( $mime ) {
# PHP webserver doesn't understand.
# ;) Nicely enough we just happen to bundle a mime.types file
$f = fopen($file, 'rb');
- if ( preg_match( '^text/', $mime ) ) {
+ if ( preg_match( '#^text/#', $mime ) ) {
# Text should have a charset=UTF-8 (php's webserver does this too)
header("Content-Type: $mime; charset=UTF-8");
} else {